%define _name GConf

Name: GConf2
Version: 2.2.0
Release: alt2

Summary: Gnome Config System
Summary(ru_RU.KOI8-R):   Gnome
License: LGPL
Group: Graphical desktop/GNOME
Url: http://www.gnome.org/projects/gconf

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %_name-%version.tar.bz2
Source1: gconf2
Source2: gconf2_set
Source3: gconf2_add	
Source4: gconf2_get	

Patch: %name-1.2.1-alt-gconfd_locale_output.patch
Patch1: %name-1.2.1-alt-gconftool_output.patch

#Provides: GConf = %version-%release

%define ORBit_ver 2.6.0
%define glib_ver 2.2.0
%define libxml2_ver 2.4.28
%define bonobo_activation_ver 2.2.0
%define linc_ver 1.0.1
%define pango_ver 1.2.0

Requires: rpm >= 4.0.4-alt1
Requires: lib%name = %version-%release
Requires: ORBit2 >= %ORBit_ver
Requires: glib2 >= %glib_ver
Requires: libxml2 >= %libxml2_ver
Requires: liblinc >= %linc_ver
Requires: libpango >= %pango_ver

BuildPreReq: ORBit2-devel >= %ORBit_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: liblinc-devel >= %linc_ver
BuildPreReq: libpango-devel >= %pango_ver

# to build manpages.
BuildPreReq: help2man

# Automatically added by buildreq on Tue Jan 21 2003
BuildRequires: ORBit2-devel XFree86-libs docbook-dtds docbook-style-dsssl docbook-utils fontconfig freetype2 gcc-c++ glib2-devel glibc-devel-static gtk-doc indent libIDL libXft libatk-devel libexpat libgtk+2-devel liblinc-devel libpango-devel libpopt-devel libssl-devel libxml2-devel openjade pkgconfig sgml-common zlib-devel

%description
GConf is the GNOME Configuration database system.

GNOME is the GNU Network Object Model Environment. That's a fancy
name but really GNOME is a nice GUI desktop environment. It makes
using your computer easy, powerful, and easy to configure.

%package -n lib%name
Summary: Gnome Config System library package
Group: Graphical desktop/GNOME
Requires: ORBit2 >= %ORBit_ver
Requires: glib2 >= %glib_ver
Requires: libxml2 >= %libxml2_ver
Requires: liblinc >= %linc_ver

%description -n lib%name
GConf library package. Contains files needed for using GConf.

%package -n lib%name-devel
Summary: Gnome Config System development package
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: ORBit2-devel >= %ORBit_ver
Requires: glib2-devel >= %glib_ver
Requires: libxml2-devel >= %libxml2_ver
Requires: liblinc-devel >= %linc_ver

%description -n lib%name-devel
GConf development package. Contains files needed for doing
development using GConf.

%package -n lib%name-devel-static
Summary: Gnome Config System development package
Group: Development/GNOME and GTK+
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
GConf static libraries package. Contains libraries needed for doing
development using GConf.

%define _libexecdir %_bindir

%prep
%setup -q -n %_name-%version
%patch -p1
%patch1 -p1

%build
%configure --enable-gtk-doc
# SMP-incompatible build
%make_build

%install
%makeinstall

%__chmod 755 %buildroot/%_sysconfdir/gconf/gconf.xml.defaults
%__chmod 755 %buildroot/%_sysconfdir/gconf/gconf.xml.mandatory

%__install -pD -m644 %SOURCE1 %buildroot%_sysconfdir/rpm/macros.d/gconf2
%__install -p -m755 %SOURCE2 %SOURCE3 %SOURCE4 %buildroot%_bindir/

%__mkdir_p %buildroot%_sysconfdir/buildreqs/files/ignore.d
%__cat <<EOF >%buildroot%_sysconfdir/buildreqs/files/ignore.d/gconf2
^%_sysconfdir/rpm/macros.d/gconf2$
EOF

# build man page for gconftool-2
help2man -N --name="is a tool to control GConf from the command line" \
	    --manual="Gnome Config System" \
	    gconf/.libs/gconftool-2 > gconftool-2.man

%__install -pD -m644 gconftool-2.man %buildroot%_man1dir/gconftool-2.1

%find_lang %name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%dir %_sysconfdir/gconf
%dir %_sysconfdir/gconf/2
%dir %_sysconfdir/gconf/gconf.xml.defaults
%dir %_sysconfdir/gconf/gconf.xml.mandatory
%_sysconfdir/buildreqs/files/ignore.d/gconf2
%doc AUTHORS ChangeLog NEWS README
%config(noreplace) %_sysconfdir/gconf/2/path
%config %_sysconfdir/rpm/macros.d/gconf2
%_man1dir/*

%files -n lib%name
%_libdir/lib*.so.*
%dir %_libdir/GConf
%dir %_libdir/GConf/2
%_libdir/GConf/2/*.so

%files -n lib%name-devel
%_libdir/*.so
%_libdir/*.la
%_includedir/*
%_libdir/GConf/*/*.la
%_datadir/aclocal/*
%doc %_datadir/gtk-doc/html/*
%_libdir/pkgconfig/*

%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/GConf/2/*.a

%changelog
* Thu Jan 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt2
- doesn't provides old GConf. 

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Sun Jan 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90-alt1
- 2.1.90

* Tue Dec 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt9
- Some fixes and updates from cvs.

* Sun Dec 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt8
- %%default_source macro renamed to %%gconf2_default_source (#1648)

* Sat Nov 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt7
- %%post/%%postun fixed.

* Fri Oct 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt6
- gconf2_set script modified (tested in gedit package).
- new gconf2_{set_new,unset,unset_r} macros. Only gconf2_set_new
  tested in gnome-panel package.
- gconf2_get auxiliary script/macro added.

* Fri Oct 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt5.1
- Localized output from gconftool-2 disabled.

* Fri Oct 11 2002 Stanislav Ievlev <inger@altlinux.ru> 1.2.1-alt5
- fixed gconf2_set macro:
   * fix gconftool-2 call,
   * have to create separate script to avoid rpm spec preprocessing problems
- spec improvements (%%setup -q)

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt4
- rebuild with new pango.

* Tue Oct 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt3.2
- gconf2_set macro added to %_sysconfdir/rpm/macros.d/gconf2 macrofile.
- Added %_sysconfdir/rpm/macros.d/gconf2 to buildreq ignores.
- Manpage for gconftool-2 added.

* Fri Sep 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt3
- %_sysconfdir/rpm/macros.d/gconf2 macrofile added (ldv). It provides
  gconf2_install macro for schemas installation. Requires: rpm >=
  4.0.4-alt1
- (Igor Androsov)
    - Improved dependencies.
    - Added provides GConf, can replace GConf.
- Partiallly applied patch from Igor Androsov to get gconfd messages
  readable while we can't use .utf8 locales.

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt2
- %install section fixed.

* Sun Sep 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt1
- 1.2.1

* Wed Jun 12 2002 Igor Androsov <blake@altlinux.ru> 1.2.0-alt1
- New version

* Tue Jun 04 2002 Igor Androsov <blake@altlinux.ru> 1.1.11-alt1.1
- Other fix BuildRequires
- Fixes %files

* Mon Jun 03 2002 Igor Androsov <blake@altlinux.ru> 1.1.11-alt1
- New version
- Fix BuildRequires

* Fri May 31 2002 Igor Androsov <blake@altlinux.ru> 1.1.10-alt1
- Initial build for AltLinux

* Thu May 23 2002 Igor Androsov <blace@mail.ru> 1.1.10-blk1
- Change GConf-devel to libGConf2-devel
- Fixes spec

* Sat May 11 2002 Igor Androsov <blace@mail.ru> 1.1.10-blk0.2
- New version from CVS
- Minor changes spec file

* Wed May 08 2002 Igor Androsov <blace@mail.ru> 1.1.10-blk0.1
- New soruces from CVS
- Spec for AltLinux
- Moved static libs to devel-static
- Moved libs to libGConf2
